nova (3:32.0.0-0ubuntu1.3) questing-security; urgency=high

  * SECURITY UPDATE: scheduler bypass via internal _nova-prefixed hints
    - d/p/cve-2026-46448-strip-internal-nova-scheduler-hints.patch: strip
      internal _nova-prefixed scheduler hints on instance create so they
      cannot bypass Placement candidate selection, request pre-filters and
      resource claims.
    - CVE-2026-46448

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Mon, 08 Jun 2026 18:03:00 +0530

nova (3:32.0.0-0ubuntu1.2) questing; urgency=medium

  [ Myles Penner ]
  * d/gbp.conf: Create stable/2025.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Marcin Wilk ]
  * libvirt: Skip unsupported firmware types (LP: #2122288)
    - d/p/lp2122288-ibvirt-skip-unsupp-firmware.patch

 -- Marcin Wilk <marcin.wilk@canonical.com>  Fri, 27 Mar 2026 15:35:57 +0100

nova (3:32.0.0-0ubuntu1.1) questing-security; urgency=medium

  * SECURITY UPDATE: Unsafe image resize operation
    - debian/patches/CVE-2026-24708.patch: make disk.extend() pass format
      to qemu-img in nova/virt/disk/api.py,
      nova/tests/unit/virt/disk/test_api.py.
    - CVE-2026-24708

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Feb 2026 09:25:05 -0500

nova (3:32.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:11:59 +0200

nova (3:32.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/p/arm-console-patch.patch: Refresh.
  * d/p/change-tempdir-perms-for-libvirt-qemu.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Sat, 20 Sep 2025 13:59:26 -0700

nova (3:31.0.0+git2025070714.1c03429337-0ubuntu2) questing; urgency=medium

  * d/nova_sudoers: Drop !requiretty override causing compatibility issues
    with sudo-rs. (LP: #2120708)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 10:04:38 +0200

nova (3:31.0.0+git2025070714.1c03429337-0ubuntu1) questing; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.
  * New upstream release for OpenStack Flamingo. (LP: #2103413)
  * Refresh patches:
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
    - d/p/arm-console-patch.patch
    - d/p/skip-if-https-proxy.patch
  * d/control: Align (Build-)Depends with upstream.
  * d/nova-api: Transition package to be wsgi based.
  * d/nova-api-metadata: Transition package to be wsgi based.
  * d/nova-api-os-compute: Transition package to dummy package.
  * d/t/nova-{api,daemons}: Check vhost is loaded instead of process running.
  * d/s/options: Ignore .launchpad.yaml in debdiff.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 08 Jul 2025 08:25:29 +0200

nova (3:31.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * Refresh patches:
    - d/p/arm-console-patch.patch
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 11:13:32 -0700

nova (3:30.0.0+git2025030311.e6b8b051a9-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * Dropped switch-to-oslo.utils-secretutils and correctly-patch-get_by_flavor
    patches already merged into upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 17:39:38 +0000

nova (3:30.0.0+git2025011510.77e9ec0a65-0ubuntu2) plucky; urgency=medium

  * d/p/install-missing-db-files.patch: Increase scope of recursive
    include.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 09:44:50 +0000

nova (3:30.0.0+git2025011510.77e9ec0a65-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.
  * d/p/switch-to-using-oslo.utils-secretutils.patch,
    switch-to-using-oslo.utils-secretutils.patch: Misc fixes for
    compatibility with Python >= 3.13.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Jan 2025 15:21:35 +0000

nova (3:30.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:34:56 +0100

nova (3:30.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release candidate for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 14:44:44 +0100

nova (3:29.1.0+git2024080716.bb2d7f9c-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-{zvmcloudconnector,oslo.vmware} to runtime
    Suggests.
  * d/control: Add Depends on python3-oslo.vmware to nova-compute-vmware.
  * d/control: Add epoch for python3-zvmcloudconnector dependencies.
  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:17:07 +0100

nova (3:29.1.0+git2024080716.bb2d7f9c-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/test-hacking-compat.patch: Drop, included upstream.
  * d/p/oslo.versionedobjects-compat.patch: Drop, similar included
    upstream.
  * d/p/CVE*.patch: Drop, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:18:48 +0100

nova (3:29.0.1-0ubuntu4) oracular; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: check images with
      format_inspector for safety.
    - debian/patches/CVE-2024-32498-3.patch: additional qemu safety
      checking on base images.
    - debian/patches/CVE-2024-32498-4.patch: fix vmdk_allowed_types
      checking.
    - CVE-2024-32498

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2024 15:45:59 +0100

nova (3:29.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:28:26 +0100

nova (3:29.0.0~rc1-0ubuntu2) noble; urgency=medium

  * d/control: Drop os-xenapi from (Build-)Depends.
  * d/control: Drop os-win from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Mar 2024 14:22:20 +0000

nova (3:29.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/p/drop-actdiag.patch: Drop, no longer needed.
  * d/exclude-list.txt,rules: Skip two tests that fail due to missing
    patching that breaks under Python >= 3.12.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 13:46:16 +0000

nova (3:28.0.1+git2024011916.087c372a-0ubuntu2) noble; urgency=medium

  * d/control: Drop python3-pypowervm from (Build-)Depends as this driver
    was removed from Nova.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2024 13:55:18 +0000

nova (3:28.0.1+git2024011916.087c372a-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh patches
  * d/rules: Use --exclude-regex with stestr run.
  * d/p/test-hacking-compat.patch: Fix syntax error in hacking test
    code.
  * d/patches/oslo.versionedobjects-compat.patch: Use OsloOrderedDict
    when adding extra data to version information.
  * d/control: Priority extra->optional.
  * d/source_nova.py: use python3.
  * d/control,rules: Use dh_sphinxdoc to tidy generated documentation.
  * d/nova-compute-kvm.postinst: Restore missing interpreter.
  * d/control: Add Pre-Depends to ensure full systemd init.d compat.
  * d/control: Add Depends on adduser for nova-compute-{kvm,qemu}.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 16:05:21 +0000

nova (3:28.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:16:53 -0400

nova (3:27.1.0+git2023090509.82a17a37-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-actdiag.patch: Temporarily drop actdiag until bug fixed upstream.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    nova/db/api/alembic.ini and nova/db/main/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:25:08 -0400

nova (3:27.1.0+git2023071215.f7ce4df5-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/p/skip-if-https-proxy.patch: Test skipped if https-proxy is set
    as lpci builds in .launchpad.yaml do.
  * New upstream snapshot for OpenStack Bobcat.
  * d/p/CVE-2023-2088-*.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:04:04 -0400

nova (3:27.0.0-0ubuntu4) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088-1.patch: Use force=True for os-brick
      disconnect during delete.
    - debian/patches/CVE-2023-2088-2.patch: Enable use of service user
      token with admin context.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 12:11:02 -0400

nova (3:27.0.0-0ubuntu3) mantic; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 10:50:36 -0400

nova (3:27.0.0-0ubuntu2) mantic; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Use force=True for os-brick
      disconnect during delete.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 16:21:10 +0200

nova (3:27.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:13:20 -0400

nova (3:26.1.0+git2023030309.59f7a524-0ubuntu2) lunar; urgency=medium

  * d/nova-compute-qemu.postinst: Add nova user to kvm group (LP: #2011535).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Mar 2023 12:39:12 -0400

nova (3:26.1.0+git2023030309.59f7a524-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 14:34:24 -0500

nova (3:26.1.0+git2023012815.98daf501-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Sat, 28 Jan 2023 15:39:05 -0500

nova (3:26.0.0+git2023011010.5e5b6751-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:30:30 -0500

nova (3:26.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 26.x series
  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:36:45 -0400

nova (3:25.0.1+git2022091213.11cb31258f-0ubuntu1) kinetic; urgency=medium

  * Enable functionality on hardened systems, specifically dealing
    with limited access in /var/lib/nova (LP: #1967956).
    - d/nova-compute-libvirt.postinst, d/nova-compute-kvm.postinst:
      Add libvirt-qemu user to nova group, and add nova user to kvm group.
      This allows the libvirt-qemu user to access /var/lib/nova/ files
      owned by the nova group, and it allows the nova user to access
      /var/lib/nova/ files owned by the kvm group.
    - d/p/change-tempdir-perms-for-libvirt-qemu.patch: Added to allow
      libvirt-qemu user to access tempdir based on nova group membership.
    - d/nova-common.postinst: Set permissions for /var/lib/nova/ files
      to 0640 and directories to 0750, with the exception of
      /var/lib/nova/.ssh/ files, of which we do not want to change
      permissions.
  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:27:40 -0400

nova (3:25.0.1+git2022071413.de65131f92-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/nova-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 13:23:07 -0400

nova (3:25.0.1+git2022070708.512fbdfa99-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Jul 2022 08:54:20 -0400

nova (3:25.0.0+git2022060214.d869163608-1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 14:13:15 -0400

nova (3:25.0.0-0ubuntu2) kinetic; urgency=medium

  * d/nova-common.postinst: Don't change file permissions under
    /var/lib/nova/.ssh (LP: #1904580).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Fri, 6 May 2022 17:03:39 -0300

nova (3:25.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 25.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 15:47:48 -0400

nova (3:24.0.0+git2022030310.3f274c65cc-0ubuntu2) jammy; urgency=medium

  * d/control: Drop min version of python3-testtools to 2.4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Mar 2022 07:48:57 -0500

nova (3:24.0.0+git2022030310.3f274c65cc-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 10:25:25 -0500

nova (3:24.0.0+git2022011217.ea3945f71c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 17:01:48 -0500

nova (3:24.0.0+git2021120815.755aa11e0c-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:46:28 -0500

nova (3:24.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 24.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 09:50:54 -0400

nova (3:23.0.2+git2021090912.edaaa97d99-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:55:36 -0400

nova (3:23.0.2+git2021072117.3545356ae3-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:37:26 -0400

nova (3:23.0.1+git2021061405.052cf96358-0ubuntu2) impish; urgency=medium

  * d/nova-compute-ironic.conf: Use the correct compute_driver for
    ironic (LP: #1934533).
  * d/t/nova-compute-daemons: Add nova-compute-ironic to test.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Jul 2021 14:03:44 -0400

nova (3:23.0.1+git2021061405.052cf96358-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 13:40:41 +0000

nova (3:23.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:10:41 +0000

nova (3:23.0.0~rc2-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 07 Apr 2021 09:12:24 +0000

nova (3:23.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/control: Remove unnecessary dh-systemd Build-Depend
  * d/watch: Scope to 23.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 26 Mar 2021 10:23:32 +0000

nova (3:22.1.0+git2021030407.0226f9dd63-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 04 Mar 2021 10:58:35 +0000

nova (3:22.0.1+git2021012713.d92c0740c6-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/control: Drop mox3 inline with upstream.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:33:15 +0000

nova (3:22.0.1+git2020121010.3a6c1cbc3a-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 10:50:24 +0000

nova (2:23.0.0~b1~git2020120312.f0efcae697-0ubuntu2) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 12:32:18 +0000

nova (2:22.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 12:30:57 -0400

nova (2:22.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 22.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:07:12 -0400

nova (2:22.0.0~b3~git2020091410.76b2fbd90e-0ubuntu3) groovy; urgency=medium

  * d/nova-compute-libvirt.postinst: Ensure libvirt-qemu user is removed
    from nova group on package upgrade (LP: #1896617).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Sep 2020 09:11:54 -0400

nova (2:22.0.0~b3~git2020091410.76b2fbd90e-0ubuntu2) groovy; urgency=medium

  * d/nova-compute-libvirt.postinst: Drop libvirt-qemu user from nova group.
    This is no longer needed with recent /var/lib/nova permission changes and
    causes live snapshots to fail (LP: #1896617).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2020 15:56:15 -0400

nova (2:22.0.0~b3~git2020091410.76b2fbd90e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 10:35:06 +0000

nova (2:22.0.0~b2~git2020073014.2f3a380c3c-0ubuntu2) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ Corey Bryant ]
  * d/control, d/nova-compute-ironic.conf, d/rules: Add nova-compute-ironic
    binary package.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Sep 2020 16:25:06 -0400

nova (2:22.0.0~b2~git2020073014.2f3a380c3c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Drop min version of openstack-pkg-tools.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:43:37 -0400

nova (2:22.0.0~b1~git2020070713.bc784a1c1f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-mysql8-compatibility.patch: Removed. Change landed upstream.
  * d/p/arm-console-patch.patch: Refreshed.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Refreshed

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 07 Jul 2020 13:50:39 +0000

nova (2:21.0.0-0ubuntu3) groovy; urgency=medium

  * d/rules: Blacklist test_tcp_rst_no_compute_rpcapi.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2020 09:06:12 +0100

nova (2:21.0.0-0ubuntu2) groovy; urgency=medium

  * Correct file and directory permissions to ensure that instances
    can be stopped and started correctly (LP: #1885269):
    - d/nova-common.postinst: Reset file permissions under /var/lib/nova
      to 0644 and directory permissions to 0755 to ensure that instances
      can be stopped and started correctly with the workflow of ownership
      changes that occur between nova and libvirt/qemu.
    - d/nova-common.postinst: Don't force ownership to nova:nova.
    - d/nova-common.postinst: Reset ownership and permissions on
      console.log files to root:root and 0600.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Jun 2020 12:10:42 +0100

nova (2:21.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 21.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:00:09 -0400

nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu2) focal; urgency=medium

  * d/tests/nova-daemons: Skip validation that nova-scheduler is
    running; this serivce requires configuration of both keystone and
    the placement service which is beyond the scope of a single unit
    autopkgtest.
  * d/tests/control: Install nova-spiceproxy instead of nova-novncproxy
    during testing as SPICE is the console option supported in Ubuntu
    main.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 09:48:19 +0100

nova (2:21.0.0~b3~git2020041013.57ff308d6d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/p/revert-generalize-db-conf-group-copying.patch: Dropped. Not needed
    with python3-oslo.db > 4.34.0.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Rebased.
  * d/p/skip-ssl-tests.patch: Dropped. No longer needed.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/monkey-patch-original-current-thread-active.patch: Dropped. Fixed
    in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:00:26 -0400

nova (2:21.0.0~b3~git2020032515.35240b0d8c-0ubuntu2) focal; urgency=medium

  * d/nova-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/nova-compute-libvirt.postinst: Add libvirt-qemu user to nova group
    to ensure access to /var/lib/ (LP: #1870415).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Apr 2020 15:08:40 -0400

nova (2:21.0.0~b3~git2020032515.35240b0d8c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/libvirt-provide-backing-file-format-creating-qcow2.patch: Drop,
    included upstream.
  * d/nova-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:05:22 +0000

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu5) focal; urgency=medium

  * No change rebuild with new version of openstack-pkg-tools to resolve
    issue with generation of systemd unit configurations (LP: #1866568).

 -- James Page <james.page@ubuntu.com>  Mon, 09 Mar 2020 10:09:54 +0000

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu4) focal; urgency=medium

  * d/p/libvirt-provide-backing-file-format-creating-qcow2.patch: Without this
    patch, domains (instances) can't be launched with libvirt 6.0.0. Picked
    from https://review.opendev.org/#/c/708745/ (LP: #1864020).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Feb 2020 09:05:50 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu3) focal; urgency=medium

  * d/nova-compute.service.in: Added service.in override file in order to
    pick up systemd default UMask of 0022, ensuring libvirt can access
    run-time files created in /var/lib/nova/instances/ (LP: #1864922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Feb 2020 11:36:14 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu2) focal; urgency=medium

  * d/p/monkey-patch-original-current-thread-active.patch: Cherry-picked from
    https://review.opendev.org/#/c/707474/. This fixes nova service failures
    that autopkgtests are hitting with Python 3.8 (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Feb 2020 09:35:53 -0500

nova (2:21.0.0~b2~git2020021008.1fcd74730d-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/rules: Drop removal of debian/python-nova/usr/etc.

  [ Sahid Orentino Ferdjaoui ]
  * d/control: Remove vlan dependency since not needed anymore by
    nova-compute-libvirt (LP: #1856279).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failure.patch: Refreshed.
  * d/p/arm-console-patch.patch: Refreshed.
  * d/control: Removed min version for python3-hacking.

  [ Corey Bryant ]
  * d/skip-py38-failure.patch: Dropped. Fixed in upstream snapshot.
  * d/control, d/nova-xvpvncproxy.*: Drop nova-xvpvncproxy inline with
    upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 16:36:54 -0500

nova (2:21.0.0~b1~git2019120415.45fb747c98-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/arm-console-patch.patch: Rebased.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.
  * d/p/skip-test-needing-mock-3.patch: Dropped. No longer needed.
  * d/control, d/nova-console.*, d/nova-network.*, d/source_nova.py, d/tests/*:
    Remove nova-{console,dhcpbridge,network} inline with upstream removal.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Dec 2019 15:35:30 -0500

nova (2:20.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:02:01 -0400

nova (2:20.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/tests/nova-daemons: Skip check of nova-conductor daemon as
    keystone is not configured and running as part of autopkgtest
    setup, resulting in a test failure on restart (LP: #1847039).

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 12:26:20 +0100

nova (2:20.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/py3dist-overrides: Add SQLAlchemy to overrides since the run-time
    Depend for python3-sqlalchemy is being overridden.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Oct 2019 08:10:36 -0400

nova (2:20.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: track 20.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Drop
    sphinxcontrib.rsvgconverter as it is currently not packaged for Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:25:40 -0400

nova (2:20.0.0~b2~git2019080821.af40e3d1a6-0ubuntu2) eoan; urgency=medium

  * d/control, d/nova-consoleauth.init.in, d/nova-consoleauth.manpages:
    Drop the rest of nova-consoleauth inline with upstream removal.
  * d/py3dist-overrides: Add cryptography to overrides since the run-time
    Depend for python3-nova is being overridden.
  * d/control, d/rules, d/nova-placement-api.{apache2,conf}, d/tests/control:
    Drop placement API in line with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Aug 2019 11:56:49 -0400

nova (2:20.0.0~b2~git2019080821.af40e3d1a6-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Dropped. Fixed in
    new upstream snapshot.
  * d/p/CVE-2019-14433.patch: Dropped. Fixed in new upstream snapshot.
  * d/control: Drop min version of python3-cryptography to 2.6. According to
    upstream commit 6caedfd97675940eb3cf07e2f019926dae45d02c, version 2.6
    has the required support for ed25519 ssh keys.
  * d/control, d/nova-novncproxy.init.in, d/nova-serialproxy.init.in,
    d/nova-spiceproxy.init.in, d/tests/*: Remove nova-consoleauth inline with
    upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 21:39:04 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu4) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 12:08:30 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu3) eoan; urgency=medium

  * Changes required for the MySQL 8.0 transition
    - d/p/add-mysql8-compatibility.patch: avoid use of in CI test setup
    - d/t/nova-daemons: Avoid usage of IDENTIFIED BY on GRANT

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Aug 2019 11:33:41 +0200

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu2) eoan; urgency=medium

  [ James Page ]
  * d/*: wrap-and-sort -bast.
  * d/control: Switch to using qemu-system for nova-compute-qemu,
    ensuring that all appropriate qemu binaries are avaliable for
    libvirt (LP: #1833406).
  * d/control: Drop alternative runtime dependency on kvm for
    nova-compute-kvm; package is long gone in Ubuntu.

  [ Corey Bryant ]
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Cherry-picked from
    upstream master branch to ensure librados get_fsid return value
    is decoded (LP: #1816468).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jul 2019 16:04:25 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog nova-api-os-volume`.
